Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 274312 - net-fs/davfs2: patch to let the ebuild create davfs2 user and group
Summary: net-fs/davfs2: patch to let the ebuild create davfs2 user and group
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Network Filesystems
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-16 11:06 UTC by Urs Joss
Modified: 2011-03-13 21:02 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
patch vs davfs2-1.3.3 to generate user and group davfs2 (davfs2_create_user_group.patch,361 bytes, patch)
2009-06-16 11:07 UTC, Urs Joss
Details | Diff
davfs2-1.4.5.ebuild.patch-group-help (davfs2-1.4.5.ebuild.patch-group-help,926 bytes, text/plain)
2011-03-11 21:15 UTC, Sergei Trofimovich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urs Joss 2009-06-16 11:06:59 UTC
The default configuration as installed by current ebuild davfs2-1.3.3.ebuild lets davfs2run as user davfs2 which is not automatically created emerge.

Reproducible: Always




The patch creates user and group in pkg_setup.
Comment 1 Urs Joss 2009-06-16 11:07:46 UTC
Created attachment 194853 [details, diff]
patch vs davfs2-1.3.3 to generate user and group davfs2
Comment 2 Lars Langhans 2010-07-15 19:18:50 UTC
Please bring in the patch, it is a pain, to install davfs2 and create user 'davfs2' and group 'davfs2' by hand on every machine.
Comment 3 Sergei Trofimovich gentoo-dev 2011-03-11 21:15:33 UTC
Created attachment 265589 [details]
davfs2-1.4.5.ebuild.patch-group-help

Yeah, group is clearly needed, otherwise mount refuses to start.
Attached patch adds 'davfs2' group and short guideline for quick start.
Comment 4 Sergei Trofimovich gentoo-dev 2011-03-13 21:02:41 UTC
Pushed patch to the tree.
Urs, thank you for the fix!